### Method

# Gio SocketClient connect_to_service_finish

since: 2.22

#### Declaration

    GSocketConnection*
    g_socket_client_connect_to_service_finish (
      GSocketClient* client,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finishes an async connect operation. See g_socket_client_connect_to_service_async().

Available since: 2.22

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSocketConnection`

A `GSocketConnection` on success, `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.